%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-eventemitter2
Version:    0.4.13
Release:    %mkrel 6
Summary:    A Node.js event emitter implementation with namespaces, wildcards and TTL
# License text is in README.md.
License:    MIT
Group:      System/Libraries
URL:        https://github.com/hij1nx/EventEmitter2
Source0:    https://registry.npmjs.org/eventemitter2/-/eventemitter2-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:    tests-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(nodeunit)
%endif

%description
A Node.js event emitter implementation with namespaces, wildcards,
time to live (TTL) and browser support.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/eventemitter2
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/eventemitter2

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/simple/
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/wildcardEvents/
%endif


%files
%doc README.md
%{nodejs_sitelib}/eventemitter2




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.4.13-6.mga10
+ Revision: 2207421
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.4.13-5.mga9
+ Revision: 1816904
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.13-4.mga8
+ Revision: 1492555
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.4.13-3.mga7
+ Revision: 1264971
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.4.13-2.mga6
+ Revision: 950286
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 0.4.13-1.mga5
+ Revision: 793723
- imported package nodejs-eventemitter2


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 0.4.13-1.mga5
- import from FC

* Wed Sep 04 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.13-1
- update to upstream release 0.4.13
- remove local patch that has been accepted upstream
- add script to download test/ directory as upstream have decided to remove it
  from the npm tarball

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.12-2
- add logic for ExclusiveArch macro

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.4.12-1
- initial package
